#!/bin/bash
#SBATCH -A bsc32
#
#SBATCH -q acc_bsces
#SBATCH --cpus-per-task=1
#16
#SBATCH -n 1
#SBATCH -t 0-08:00:00
#SBATCH -J cams-vra-fmt
#SBATCH -e /gpfs/scratch/bsc32/bsc032107/vra/scripts/out-logs/format-cams-vra-data-%j.err
#SBATCH -o /gpfs/scratch/bsc32/bsc032107/vra/scripts/out-logs/format-cams-vra-data-%j.out
#BSUB -x


# Maybe I should move this to the AMD machine and run it there.

#module load pandas/1.5.3-foss-2021b-Python-3.9.6


if [ "$1" != "" ]; then
    sdat=$1
else
    sdat=$(date -d "-1 day" +%Y%m%d)
fi

echo "START DATE"
echo $sdat


if [ "$2" != "" ]; then
    edat=$2
else
    edat=$(date +%Y%m%d)
fi

echo "END DATE"
echo $edat

python /gpfs/scratch/bsc32/bsc032107/vra/scripts/fmt-cams-vra.py -s "${sdat}" -e "${edat}"
